package com.ruoyi.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 司机管理对象 dibang_driver
 * 
 * @author liuhj
 * @date 2022-03-10
 */
public class DibangDriver extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 司机ID */
    private String driverId;

    /** 司机姓名 */
    @Excel(name = "司机姓名")
    private String driverName;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    /** 密码 */
    @Excel(name = "密码")
    private String possWord;

    /** 司机类型 */
    @Excel(name = "司机类型")
    private String driverType;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String plateNo;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date modifyTime;

    public void setModifyTime(Date modifyTime)
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime()
    {
        return modifyTime;
    }


    public void setDriverId(String driverId) 
    {
        this.driverId = driverId;
    }

    public String getDriverId() 
    {
        return driverId;
    }
    public void setDriverName(String driverName) 
    {
        this.driverName = driverName;
    }

    public String getDriverName() 
    {
        return driverName;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setPossWord(String possWord) 
    {
        this.possWord = possWord;
    }

    public String getPossWord() 
    {
        return possWord;
    }
    public void setDriverType(String driverType) 
    {
        this.driverType = driverType;
    }

    public String getDriverType() 
    {
        return driverType;
    }
    public void setPlateNo(String plateNo) 
    {
        this.plateNo = plateNo;
    }

    public String getPlateNo() 
    {
        return plateNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("driverId", getDriverId())
            .append("driverName", getDriverName())
            .append("mobile", getMobile())
            .append("possWord", getPossWord())
            .append("driverType", getDriverType())
            .append("plateNo", getPlateNo())
            .toString();
    }
}
